免费注册 查看新帖 |

Chinaunix

  平台 论坛 博客 文库
最近访问板块 发新帖
查看: 1266 | 回复: 1

[驱动] 安卓版本对应问题 [复制链接]

论坛徽章:
0
发表于 2016-03-04 09:43 |显示全部楼层
本人小白才开始做安卓驱动方面的实验,最近按照书本做了个led驱动,导入书本上的hal层什么的都可以成功,最后想自己修改一下添加点东西,可是将书本上提供的代码放在自己电脑上已经编译好的安卓4.4.2源码下编译后产生的动态库文件放到安卓2.3.4开发板对应目录下替换掉书本提供的库后程序就打不开了,logcat里提示zygote process 725 terminated by signal(11)。我想知道是不是开发板和编译库所用的源码不同就无法实现了呢,当然还有可能是因为开发板是32位系统,电脑里的是64位。希望这方面的大神给点提点吧,谢了!

论坛徽章:
0
发表于 2016-03-09 10:47 |显示全部楼层
回复 1# 306liangzai


    安卓版本差异太大,有可能链接库什么的都变了。
您需要登录后才可以回帖 登录 | 注册

本版积分规则 发表回复

DTCC2020中国数据库技术大会 限时8.5折

【架构革新 高效可控】2020年8月17日~19日第十一届中国数据库技术大会将在北京隆重召开。

大会设置2大主会场,20+技术专场,将邀请超百位行业专家,重点围绕数据架构、AI与大数据、传统企业数据库实践和国产开源数据库等内容展开分享和探讨,为广大数据领域从业人士提供一场年度盛会和交流平台。

http://dtcc.it168.com


大会官网>>
  

北京盛拓优讯信息技术有限公司. 版权所有 16024965号-6 北京市公安局海淀分局网监中心备案编号:11010802020122
中国互联网协会会员  联系我们:huangweiwei@it168.com
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP